var text3_sticker = (function (exports) {
    'use strict';

    /**
     *
     *
     * @param {LayoutArgs} args DemoView所允许布局的最大宽高
     * @param {*} data 布局依赖的数据
     * @param {*} [context] 自定义数据，PicassoView使用模式下由客户端设置
     * @returns
     * @memberof DemoView
     */
    function layout(args, data, context) {
        var width = data.videoWidth;
        var height = data.videoHeight;
        var bgView = View.viewWithFrame(0, 0, 0/*width * 0.507*/, 0);
        // bgView.backgroundColor="#ff0000"
        //top image
        var topImage = ImageView.viewWithFrame(0, 0, width * 0.243, height * 0.034);
        topImage.image = "text3_sticker_pic";
        topImage.contentMode = 1 /* AspectFit */;
        topImage.centerX = bgView.centerX;
        bgView.addSubView(topImage);
        var ratio = width / 375;
        //text
        var foodTextView = TextView.viewWithFrame(0, 0, 0/*bgView.width*/, 0);
        bgView.addSubView(foodTextView);

//        foodTextView.shadowColor = "#4D000000";
//        foodTextView.shadowOpacity = 1.0;
//        foodTextView.shadowOffset = { width: 0, height: 0 };
//        foodTextView.shadowRadius = 2;

        // foodTextView.backgroundColor="#e6e6e6"
        foodTextView.text = data.textChartString;
        foodTextView.lineBreakMode = 4 /* TruncatingTail */;
        foodTextView.textAlignment = 1 /* Center */;
        foodTextView.numberOfLines = 5;
        foodTextView.lineBreakMode = 4 /* TruncatingTail */;
        foodTextView.textColor = "#ffffff";
        foodTextView.textSize = 24 * ratio;
        foodTextView.top = topImage.bottom + height * 0.011;
        foodTextView.sizeToFit();

        if(foodTextView.width > width * 0.243){
            if(foodTextView.width > width * 0.507){
                bgView.width = width * 0.507;
                foodTextView.width = width * 0.507;
                topImage.centerX = bgView.centerX;
                foodTextView.sizeToFit();

            }
            else{
                bgView.width = foodTextView.width;
                topImage.centerX = bgView.centerX;
            }
        }
        else{
            bgView.width = width * 0.243;
            foodTextView.centerX = bgView.centerX;
            topImage.centerX = bgView.centerX;
        }

//        foodTextView.centerX = bgView.centerX;
        bgView.height = topImage.height + foodTextView.height + height * 0.011;
        return bgView;
    }

    exports.layout = layout;

    return exports;

}({}));
