/// <reference path="layoutContainer.ts" />
var homeguesslike;
(function (homeguesslike) {
    function layout(args, data) {
        var bgView = View.viewWithFrame(0, 0, args.width, args.height);
        var viewpager = ViewPager.viewWithFrame(0, 0, args.width, args.height);
        bgView.addSubView(viewpager);
        //第一页
        var firstImageHeight = Math.ceil(args.width * 4 / 3);
        var firstPage = View.viewWithFrame(0, 0, args.width, args.height);
        var firstImageView = ImageView.viewWithFrame(0, 0, args.width, firstImageHeight);
        firstImageView.imageUrl = "https://www.dpfile.com/sc/ares_pics/dd1e2dd2410fc0440045c2d497b33fa2.png";
        firstImageView.extra = "{\"transitionName\":\"transitionview\"}";
        firstPage.addSubView(firstImageView);
        var firstDownView = View.viewWithFrame(0, 0, args.width, args.height - firstImageHeight);
        firstDownView.backgroundColor = "#ffffff";
        firstPage.addSubView(firstDownView);
        firstDownView.top = firstImageView.bottom;
        var firstButton = Button.viewWithFrame(0, 0, 200, 50);
        firstDownView.addSubView(firstButton);
        firstButton.centerX = firstDownView.width / 2;
        firstButton.centerY = firstDownView.height / 2;
        var firstButtonLabel = TextView.viewWithFrame(0, 0, 200, 50);
        firstButtonLabel.text = "按钮123";
        firstButtonLabel.extra = "{\"id\":\"announcelay_head_id\"}";
        firstDownView.addSubView(firstButtonLabel);
        firstButtonLabel.frame = firstButton.frame;
        //第二页
        var secondPage = View.viewWithFrame(0, 0, args.width, args.height);
        var secViewPager = ViewPager.viewWithFrame(0, 0, args.width, args.height);
        secViewPager.direction = 0 /* ViewPagerScrollDirectionHorizontal */;
        secondPage.addSubView(secViewPager);
        var imageArr = ["https://p0.meituan.net/deal/17e544936479a214085a40ae3d08389448604.jpg%40220w_164h_1e_1c_1l_80q%7Cwatermark%3D0", "https://p1.meituan.net/gpa/b697f3309fe305ca6c5114cbfad6a1561144384.jpg%40220w_164h_1e_1c_1l_80q%7Cwatermark%3D0", "https://p0.meituan.net/deal/65533fcf9d70e083a5b622de5459736565422.jpg%40220w_164h_1e_1c_1l_80q%7Cwatermark%3D0"];
        var secViewArr = [];
        for (var index = 0; index < imageArr.length; index++) {
            var element = imageArr[index];
            var tempView = View.viewWithFrame(0, 0, args.width, args.height);
            var tempImageView = ImageView.viewWithFrame(0, 0, args.width, args.height);
            tempImageView.imageUrl = element;
            tempView.addSubView(tempImageView);
            secViewArr.push(tempView);
        }
        secViewPager.pageViews = secViewArr;
        //第三页
        var thirdPage = ZoomImage.viewWithFrame(0, 0, args.width, args.height);
        thirdPage.imageUrl = "https://p0.meituan.net/deal/2dbad05749076e4ae02784eb8d41539c34124.jpg%40220w_164h_1e_1c_1l_80q%7Cwatermark%3D0";
        // bgView.addSubView(firstImageView)
        // bgView.addSubView(firstDownView)
        viewpager.pageViews = [firstPage, secondPage, thirdPage];
        viewpager.direction = 1 /* ViewPagerScrollDirectionVertical */;
        // viewpager.circularScrollEnable = true;
        // viewpager.autoPlay = true
        return bgView;
    }
    homeguesslike.layout = layout;
})(homeguesslike || (homeguesslike = {}));

